Package com.saxonica.functions.extfn

## Class EXPathFileFunctionSet

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - com.saxonica.functions.extfn.EXPathFileFunctionSet

- All Implemented Interfaces:
    `FunctionLibrary`

      public class EXPathFileFunctionSet
      extends BuiltInFunctionSet

  Implementation of the file:base-dir function in the EXPath file library. Other functions in this library are implemented as reflexive extension functions, but this one can't be implemented this way because it needs access to the static context.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EXPathFileFunctionSet.BaseDir` |

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConventionalPrefix()` | Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
    `static EXPathFileFunctionSet` | `getInstance()` |
    `java.lang.String` | `getNamespace()` | Return the namespace URI for the functions local to this function set.

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getFunctionDetails, getFunctionItem, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Method Detail

    - #### getInstance

          public static EXPathFileFunctionSet getInstance()

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from class: `BuiltInFunctionSet`
      Return the namespace URI for the functions local to this function set.
      Overrides:
        `getNamespace` in class `BuiltInFunctionSet`
      Returns:
        the namespace URI of the functions local to this function set. Note that functions imported from another function set may have a different namespace URI.

    - #### getConventionalPrefix

          public java.lang.String getConventionalPrefix()

      Description copied from class: `BuiltInFunctionSet`
      Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
      Overrides:
        `getConventionalPrefix` in class `BuiltInFunctionSet`